Skip to main content
PUT
/
api
/
v1
/
templates
/
{template_id}
/
sections
/
reorder
Reorder Template Sections
curl --request PUT \
  --url https://api.artosai.com/api/v1/templates/{template_id}/sections/reorder \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "sections": [
    {
      "section_id": "sec-uuid-001",
      "order_index": 0,
      "level": 1
    },
    {
      "section_id": "sec-uuid-003",
      "order_index": 1,
      "level": 1
    },
    {
      "section_id": "sec-uuid-002",
      "order_index": 2,
      "level": 1
    }
  ]
}
'
{
  "template_id": "<string>",
  "sections": [
    {
      "section_id": "<string>",
      "section_name": "<string>",
      "order_index": 123,
      "level": 123
    }
  ],
  "message": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer token authentication. Token provides organization-scoped access.

Path Parameters

template_id
string
required

UUID of template

Body

application/json
sections
object[]
required

List of {section_id, order_index, level} defining the new order

Response

Sections reordered successfully

template_id
string
required
sections
object[]
required

All sections in their new order with updated names

message
string
required

Success message